#
# spec file for package perl-File-Touch
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Touch
Version:        0.11
Release:        bp155.2.10
%define cpan_name File-Touch
Summary:        Update File Access and Modification Times, Optionally Creating Files If Needed
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Touch/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
Here's a list of arguments that can be used with the object-oriented
contruction:

* atime_only => [0|1]

If nonzero, change only the access time of files. Default is zero.

* mtime_only => [0|1]

If nonzero, change only the modification time of files. Default is zero.

* no_create => [0|1]

If nonzero, do not create new files. Default is zero.

* reference => $reference_file

If defined, use timestamps from this file instead of current time. The
timestamps are read from the reference file when the object is created, not
when '<-'touch>> is invoked. Default is undefined.

* time => $time

If defined, then this value will be used for both access time and
modification time, whichever of those are set. This time is overridden by
the 'atime' and 'mtime' arguments, if you use them.

* atime => $time

If defined, use this time (in epoch seconds) instead of current time for
access time.

* mtime => $time

If defined, use this time (in epoch seconds) instead of current time for
modification time.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Aug 15 2016 rjschwei@suse.com
- Include in SLE 12 Public Cloud Module (bsc#993765,FATE#320820)
* Fri Mar 11 2016 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-File-Touch/Changes
  0.11 2016-11-26 NEILB
  - Document when reference gras the timestamps, and give example.
    Thanks to SMYLERS for the PR with this.
* Sun Oct 25 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-File-Touch/Changes
  0.10 2015-10-24 NEILB
  - Added [MetaJSON] to dist.ini, so we get a META.json in the release
  - Auto tag and push to github on release
  - Updated repo URL after changing my github username
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-File-Touch/Changes
* Sat Feb  7 2015 rjschwei@suse.com
- Spec file changes to meet stricter SLE 12 rules
* Sun May  1 2011 coolo@opensuse.org
- initial package 0.08
  * created by cpanspec 1.78.04
